wxRuby Documentation Home

# Wx::StatusBar

A status bar is a narrow window that can be placed along the bottom of a frame to give
small amounts of status information. It can contain one or more fields, one or more of which can
be variable length according to the size of the window.

## Derived from

Window

EvtHandler

Object

## Window styles

`ST_SIZEGRIP` | On Windows 95, displays a gripper at right-hand side ofthe status bar.

See also window styles overview.

## Remarks

It is possible to create controls and other windows on the status bar. Position these windows
from an OnSize event handler.

## See also

Frame, Status bar sample

## Methods

- StatusBar.new
- StatusBar#create
- StatusBar#get_field_rect
- StatusBar#get_fields_count
- StatusBar#get_status_text
- StatusBar#pop_status_text
- StatusBar#push_status_text
- StatusBar#set_fields_count
- StatusBar#set_min_height
- StatusBar#set_status_text
- StatusBar#set_status_widths
- StatusBar#set_status_styles

### StatusBar.new

StatusBar.new(%(arg-type)Window% parent, Integer id, Integer style = ST_SIZEGRIP, String name = “statusBar”)

Constructor, creating the window.

#### Parameters

- parent The window parent, usually a frame.
- id The window identifier. It may take a value of -1 to indicate a default value.
- style The window style. See StatusBar.
- name The name of the window. This parameter is used to associate a name with the item,
  allowing the application user to set Motif resource values for
  individual windows.

#### See also

StatusBar#create

destructor()

Destructor.

### StatusBar#create

Boolean create(%(arg-type)Window% parent, Integer id, Integer style = ST_SIZEGRIP, String name = “statusBar”)

Creates the window, for two-step construction.

See StatusBar.new for details.

### StatusBar#get_field_rect

Boolean get_field_rect(%(arg-type)Integer% i, Rect rect)

Returns the size and position of a field’s internal bounding rectangle.

#### Parameters

- i The field in question.
- rect The rectangle values are placed in this variable.

#### Return value

true if the field index is valid, false otherwise.

#### See also

Rect

### StatusBar#get_fields_count

Integer get_fields_count()

Returns the number of fields in the status bar.

### StatusBar#get_status_text

String get_status_text(%(arg-type)Integer% i = 0)

Returns the string associated with a status bar field.

#### Parameters

- i The number of the status field to retrieve, starting from zero.

#### Return value

The status field string if the field is valid, otherwise the empty string.

#### See also

StatusBar#set_status_text

### StatusBar#pop_status_text

pop_status_text(%(arg-type)Integer% field = 0)

Sets the field text to the top of the stack, and pops the stack of saved
strings.

#### See also

StatusBar#push_status_text

### StatusBar#push_status_text

push_status_text(%(arg-type)String% string, Integer field = 0)

Saves the current field text in a per field stack, and sets the field text
to the string passed as argument.

### StatusBar#set_fields_count

set_fields_count(%(arg-type)Integer% number = 1, Integer widths = nil)

Sets the number of fields, and optionally the field widths.

#### Parameters

- number The number of fields.
- widths An array of n integers interpreted in the same way as
  in set_status_widths

### StatusBar#set_min_height

set_min_height(%(arg-type)Integer% height)

Sets the minimal possible height for the status bar. The real height may be
bigger than the height specified here depending on the size of the font used by
the status bar.

### StatusBar#set_status_text

set_status_text(%(arg-type)String% text, Integer i = 0)

Sets the text for one field.

#### Parameters

- text The text to be set. Use an empty string (``") to clear the field.
- i The field to set, starting from zero.

#### See also

StatusBar#get_status_text, Frame#set_status_text

### StatusBar#set_status_widths

set_status_widths(%(arg-type)Integer% n, Integer widths)

Sets the widths of the fields in the status line. There are two types of
fields: fixed widths one and variable width fields. For the fixed width fields
you should specify their (constant) width in pixels. For the variable width
fields, specify a negative number which indicates how the field should expand:
the space left for all variable width fields is divided between them according
to the absolute value of this number. A variable width field with width of $-2$
gets twice as much of it as a field with width $-1$ and so on.

For example, to create one fixed width field of width $100$ in the right part of
the status bar and two more fields which get $66$\% and $33$\% of the remaining
space correspondingly, you should use an array containing $-2$, $-1$ and $100$.

#### Parameters

- n The number of fields in the status bar. Must be equal to the
  number passed to set_fields_count the last
  time it was called.
- widths Contains an array of n integers, each of which is
  either an absolute status field width in pixels if positive or indicates a
  variable width field if negative.

#### Remarks

The widths of the variable fields are calculated from the total width of all fields,
minus the sum of widths of the non-variable fields, divided by the number of
variable fields.

#### See also

StatusBar#set_fields_count, Frame#set_status_widths

### StatusBar#set_status_styles

set_status_styles(%(arg-type)Integer% n, Integer styles)

Sets the styles of the fields in the status line which can make fields appear flat
or raised instead of the standard sunken 3D border.

#### Parameters

- n The number of fields in the status bar. Must be equal to the
  number passed to set_fields_count the last
  time it was called.
- styles Contains an array of n integers with the styles for each field. There
  are three possible styles:

`SB_NORMAL` | (default) The field appears sunken with a standard 3D border.
`SB_FLAT` | No border is painted around the field so that it appears flat.
`SB_RAISED` | A raised 3D border is painted around the field.

[This page automatically generated from the Textile source at 2023-06-09 00:45:35 +0000]